filter.hpp File Reference
`#include <string>`
`#include <type_traits>`
`#include <vector>`
`#include <boost/iterator/filter_iterator.hpp>`
`#include <osmium/memory/collection.hpp>`
`#include <osmium/osm/tag.hpp>`
Include dependency graph for filter.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | osmium::tags::match_key< TKey >
struct | osmium::tags::match_key_prefix
struct | osmium::tags::match_value< TValue >
struct | osmium::tags::match_value< void >
class | osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >
struct | osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >::Rule

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::tags
| Code related to working with OSM tags.

## Typedefs

typedef Filter< std::string, std::string > | osmium::tags::KeyValueFilter
typedef Filter< std::string > | osmium::tags::KeyFilter
typedef Filter< std::string, void, match_key_prefix > | osmium::tags::KeyPrefixFilter